I am getting this message when I install zencart:

You need to enable PHP Session support on your webserver. You might try installing this module: php4-session

PHP Session Support is required in order to support user-login and payment/checkout procedures. Please talk to your host to reconfigure PHP to enable session support.

I am usining GoDaddy and they responded saying I have to cancel my hosting account and change it to one that supports IIS7, is that correct?
I'm sure lots of people use GoDaddy and also use ZenCart.
What do I have to do?